<div class="d-flex justify-content-center align-items-center vh-100">
    <div class="card w-50 shadow-lg">
      <div class="card-body p-4"> 
        <h2 class="text-center mb-4">Encuesta Musical</h2>
        <form #encuestaForm="ngForm" (ngSubmit)="onSubmit(encuestaForm)">
          <div class="mb-3">
            <label for="email" class="form-label">Correo Electrónico</label>
            <input type="email" class="form-control" id="email" placeholder="nombre@ejemplo.com" ngModel name="email" required email>
            <div *ngIf="encuestaForm.controls['email']?.invalid && encuestaForm.controls['email']?.touched" class="text-danger">
                <p *ngIf="encuestaForm.controls['email']?.errors?.['email']">Por favor, introduce un correo electrónico válido.</p>
                <p *ngIf="encuestaForm.controls['email']?.errors?.['required']">El correo electrónico es obligatorio.</p>
            </div>
          </div>
          <div class="mb-3">
            <label for="musicStyle" class="form-label">Estilo Musical</label>
            <select class="form-select" id="estilosMusicales" ngModel name="estilosMusicales" required>
                <option selected disabled value="">Selecciona un estilo</option>
                <option *ngFor="let estilo of estilosMusicales" [value]="estilo.value">{{ estilo.viewValue }}</option>
            </select>
            <div *ngIf="encuestaForm.controls['estilosMusicales']?.invalid && encuestaForm.controls['estilosMusicales']?.touched" class="text-danger">
                <p>Estilo Musical es requerido.</p>
            </div>
          </div>
          <div class="d-flex justify-content-center mb-3">
            <button type="submit" class="btn btn-primary"  [disabled]="!encuestaForm.valid">Enviar Encuesta</button>
          </div>
        </form>
        <div class="d-flex justify-content-center mt-2">
            <a class="btn btn-outline-secondary" routerLink="/">Volver</a>
        </div>
      </div>
    </div>
</div>
